Subject: Re: How do you write scripts with portable filenames?
From: [email-masked]
To: Max Bowsher <[email-masked]>
Cc: [email-masked]
Date: Tue, 3 Sep 2002 18:48:12 +1000 (EST)

On  3 Sep, Max Bowsher wrote:
>  I _was_ pretty sure that this was supposed to 'just work'. (And it does with mv, 
>  but not with rm). I guess this is a bug. I think you might be at least 
>  temporarily stuck with using `uname` to find out if you are on cygwin, and 
>  setting and using an EXEEXT variable throughout the script. 

The trouble is when the EXEEXT has toi be a whole set, like .exe or .dll
or .sh or .pl or .awk ... you get the idea.

It's great to know that it should just work; for now I can just modify
the specific script that's causing me a problem, and trust that later
on, things will just work.  So in the future it won't be a problem.

(Fingers crossed.)

luke

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/